Name:           python3-macvendor
Version:        1.0
Release:        1%{?dist}
Summary:        Library/CLI to determine the vendor of a MAC address

License:        None
URL:            GPL-3.0
Source0:        %{name}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	python3
BuildRequires:	python3-rpm-macros
Requires:       python3

%description
Library/CLI to determine the vendor of a MAC address

%prep
%autosetup

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{python3_sitelib}
install -m 755 macvendor.py %{buildroot}%{python3_sitelib}/macvendor.py
ln -sr %{buildroot}%{python3_sitelib}/macvendor.py %{buildroot}%{_bindir}/macvendor

%files
%license COPYING
%{python3_sitelib}/macvendor.py
%{_bindir}/macvendor
%{python3_sitelib}/__pycache__/*

%changelog
* Wed Jan 23 2019 Victor Oliveira <victor.oliveira@gmx.com> - 1.0-1
- First release
